<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Пополнить баланс');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Пополнить баланс</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Пополнить баланс</div>';

if ($b == false) {
header('location: /');
die();
}
if (isset($_POST['ok'])) {
$err = array();
$LMI_PAYMENT_AMOUNT = abs(intval($_POST['LMI_PAYMENT_AMOUNT']));

if ($LMI_PAYMENT_AMOUNT == '' || $LMI_PAYMENT_AMOUNT<1 || $LMI_PAYMENT_AMOUNT>1000) {
$err[] = 'Неправильная сумма!';
}

if (empty($err)) {

if (DB::$dbs->query("INSERT INTO `payment` (`user_id`,`LMI_PAYMENT_AMOUNT`,`time`,`yes`) VALUES (?,?,?,?)", array($b['id'],$LMI_PAYMENT_AMOUNT,time(),0))) {
$LMI_PAYMENT_NO = DB::$dbs->lastInsertId();
echo '<div class="row text_box">Пополнение баланса на  <b>'.$LMI_PAYMENT_AMOUNT.'</b> рублей<br/><form id=pay name=pay method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp"><p>Платеж через сервис Web Merchant Interface</p>
<p><input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$LMI_PAYMENT_AMOUNT.'"><input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode('Пополнение балланса на сайте SKYWAP.ORG (№ '.$LMI_PAYMENT_NO.')').'"><input type="hidden" name="LMI_PAYMENT_NO" value="'.$LMI_PAYMENT_NO.'"><input type="hidden" name="LMI_PAYEE_PURSE" value="R303279037006"></p>
<p><input type="submit" class="btn btn-primary" value="Перевести '.$LMI_PAYMENT_AMOUNT.' WMR"></p></form></div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
} else err('Запись в бд не добавлена');

} else {
echo '<div class="error">';
foreach($err as $error) {
echo $error.'<br/>';
}
echo '</div>';
}
}
echo '<div class="row text_box">Баланс пополняется переводом средств на реквизиты WebMoney через сервис Web Merchant Interface<br /> Укажите сумму, на которую вы хотите пополнить баланс и следуйте указаниям системы<br/>
<form action="?" method="post">Сумма (1-1000):<br/><input name="LMI_PAYMENT_AMOUNT" maxlength="7" class="form-control" title="Сумма"/><br /><input type="submit" name="ok" class="btn btn-primary" value="Продолжить"/></form></div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>